Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAUTL1.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAUTL1.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAUTL1.m	(revision 636)
@@ -1,11 +1,6 @@
 RAUTL1 ;HISC/CAH,FPT,GJC AISC/MJK,RMO-Utility Routine ;10/22/97  13:54
- ;;5.0;Radiology/Nuclear Medicine;**5,9,18,71,82,81,84**;Mar 16, 1998;Build 13
+ ;;5.0;Radiology/Nuclear Medicine;**5,9,18,71,82**;Mar 16, 1998;Build 8
  ;last modification by SS for P18 June 19,00
  ;02/10/2006 BAY/KAM RA*5*71 Add ability to update exam data to V/R
- ;
- ;Integration Agreements
- ;----------------------
- ;DIC(10006); DIE(10018); FILE^DIE(2053); UPDATE^DIE(2053); EN^ORB3(1362); NOTE^ORX3(868)
- ;
  I "IOSCR"'[X!(X="") S X="Unknown" Q
  G @($E(X))
@@ -36,5 +31,5 @@
  ;Variable Y is returned as either an elapsed time in the form DD:HH:MM where DD=days, HH=hours, MM=minutes or as the string 'Neg. Time' indicating a negative elapsed time
  ;Variable Y1 is returned as the # of minutes of elapsed time
- I '$D(RAMTIME) S DIC="^DD(""FUNC"",",DIC(0)="FX",RAX=X,X="MINUTES" D ^DIC K DIC S X=RAX S:$D(^DD("FUNC",+Y,1)) RAMTIME=^(1) I '$D(RAMTIME) W $C(7),!!,"Can't continue --- No 'MINUTES' function found in File Manager" K Y,Y1 G Q
+ I '$D(RAMTIME) S DIC="^DD(""FUNC"",",DIC(0)="FX",RAX=X,X="MINUTES" D ^DIC K DIC S X=RAX S:$D(^DD("FUNC",+Y,1)) RAMTIME=^(1) I '$D(RAMTIME) W *7,!!,"Can't continue --- No 'MINUTES' function found in File Manager" K Y,Y1 G Q
  X RAMTIME S Y1=X I X<0 S Y="Neg. Time" G Q
 MINUTS S X(1)=X\1440,X=X-(1440*X(1)),X(2)=X\60,X(3)=X-(60*X(2)),Y=$E(100+X(1),2,3)_":"_$E(100+X(2),2,3)_":"_$E(100+X(3),2,3)
@@ -46,9 +41,9 @@
  I $G(RAIMGTY)="" K XQUIT Q  ; didn't sign-on to an imaging location
  D ^RACNLU G UPQ:"^"[X
- I $D(^RA(72,"AA",RAIMGTY,9,+RAST)),'$D(^XUSEC("RA MGR",DUZ)) W !!?3,$C(7),"You do not have the appropriate access privileges to act on completed exams." G UPDATE
- I $D(^RA(72,"AA",RAIMGTY,0,+RAST)) W !!?3,$C(7),"Exam has been 'cancelled' therefore the status cannot be changed." G UPDATE
+ I $D(^RA(72,"AA",RAIMGTY,9,+RAST)),'$D(^XUSEC("RA MGR",DUZ)) W !!?3,*7,"You do not have the appropriate access privileges to act on completed exams." G UPDATE
+ I $D(^RA(72,"AA",RAIMGTY,0,+RAST)) W !!?3,*7,"Exam has been 'cancelled' therefore the status cannot be changed." G UPDATE
  ;D UP1 I RAOR>0 S DA(2)=RADFN,DA(1)=RADTI,DA=RACNI,DIE="^RADPT("_DA(2)_",""DT"","_DA(1)_",""P"",",DR="100///""NOW""",DR(2,70.07)="2///U;3////"_$S($G(RADUZ):RADUZ,1:DUZ) D ^DIE
  D UP1 I RAOR>0 D
- .L +^RADPT(RADFN,"DT",RADTI,"P",RACNI):$G(DILOCKTM,3)
+ .L +^RADPT(RADFN,"DT",RADTI,"P",RACNI)
  .N RAIEN
  .S RAIENS="+1,"_RACNI_","_RADTI_","_RADFN_","
@@ -56,11 +51,10 @@
  .K RAERR D UPDATE^DIE("E","RAFDA","RAIEN","RAERR")
  .K RAFDA,RAIENS
- .I $D(RAERR) S RAERR="Error in update of 70.07, .01 "_$G(RAERR("DIERR",1,"TEXT",1)) K RAERR("DIERR") L -^RADPT(RADFN,"DT",RADTI,"P",RACNI) K RAIEN Q
+ .I $D(RAERR) L -^RADPT(RADFN,"DT",RADTI,"P",RACNI) K RAIEN Q
  .S RAIENS=RAIEN(1)_","_RACNI_","_RADTI_","_RADFN_","
  .S RAFDA(70.07,RAIENS,2)="U"
  .S RAFDA(70.07,RAIENS,3)=$S($G(RADUZ):RADUZ,1:DUZ)
- .D FILE^DIE(,"RAFDA","RAERR")
+ .D FILE^DIE(,"RAFDA")
  .L -^RADPT(RADFN,"DT",RADTI,"P",RACNI)
- .I $D(RAERR) S RAERR="Error in update of 70.07, 2,3 "_$G(RAERR("DIERR",1,"TEXT",1)) K RAERR("DIERR")
 UPQ K RAFDA,RAIENS
  K %,D,DA,DE,DIC,DIE,DQ,DR,I,J,POP,RACS,RAEND,RAF5,RAFL,RAFST,RAI,RAIX,RAJ1,RAORDIFN,RAPRIT,RAHEAD,RASN,RAOR,RASTI,RASSN,RADATE,RAST,RACN,RACNI,RADFN,RADTE,RADTI,RANME,RAPRC,RARPT,X,Y,Z,^TMP($J,"RAEX"),C,DIPGM Q
@@ -96,17 +90,15 @@
  ;S DR(2,70.05)=$S($P(RAMDV,"^",11)&('$D(ZTQUEUED)):".01;",1:"")_"2////"_RASTI_";3////"_$S($G(RADUZ):RADUZ,1:DUZ)
  ;D ^DIE
- L +^RADPT(RADFN,"DT",RADTI,"P",RACNI):$G(DILOCKTM,3)
+ L +^RADPT(RADFN,"DT",RADTI,"P",RACNI)
  N RAIEN
  S RAIENS=RACNI_","_RADTI_","_RADFN_","
  S RAFDA(70.03,RAIENS,3)=RASTI
  K RAERR D FILE^DIE(,"RAFDA","RAERR")
- I $D(RAERR) S RAERR="Error in update of 70.03 "_$G(RAERR("DIERR",1,"TEXT",1)) K RAERR("DIERR") L -^RADPT(RADFN,"DT",RADTI,"P",RACNI) G UP2K ;L - P18
+ I $D(RAERR) L -^RADPT(RADFN,"DT",RADTI,"P",RACNI) G UP2K ;L - P18
  I $P(RAMDV,"^",10) D
- .N RAERR2
  .S RAIENS="+1,"_RACNI_","_RADTI_","_RADFN_","
  .S RAFDA(70.05,RAIENS,.01)=$$MIDNGHT^RAUTL5($$NOW^XLFDT())
- .D UPDATE^DIE(,"RAFDA","RAIEN","RAERR")
+ .D UPDATE^DIE(,"RAFDA","RAIEN")
  .K RAFDA,RAIENS
- .I $D(RAERR) S RAERR="Error in update of 70.05, .01 "_$G(RAERR("DIERR",1,"TEXT",1)) K RAERR("DIERR")
  .Q:'$D(RAIEN(1))
  .I $P(RAMDV,"^",11),('$D(ZTQUEUED)) D
@@ -117,8 +109,7 @@
  .S RAFDA(70.05,RAIENS,2)=RASTI
  .S RAFDA(70.05,RAIENS,3)=$S($G(RADUZ):RADUZ,1:DUZ)
- .K RAERR2 D FILE^DIE(,"RAFDA","RAERR2")
- .I $D(RAERR2) S RAERR2="Error in update of 70.05 2,3 "_$G(RAERR2("DIERR",1,"TEXT",1)),RAERR=$S($D(RAERR):RAERR_";"_RAERR2,1:RAERR2)
+ .K RAERR2 D FILE^DIE(,"RAFDA")
  ;Patch RA*5*82 added next line send EXM message after status update, not before the update
- D:'$D(RAERR) EXM^RAHLRPC
+ D EXM^RAHLRPC
  L -^RADPT(RADFN,"DT",RADTI,"P",RACNI)
  ;
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTQ2.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTQ2.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTQ2.m	(revision 636)
@@ -1,5 +1,5 @@
 RTQ2 ;MJK,JSM/TROY ISC;Scheduling Link; ; 5/21/87  3:09 PM ;
- ;;2.0;Record Tracking;**13,15,21,45**;10/22/91;Build 7
-BLD I $D(SDPL) S RTINP=+$P(^RTV(195.9,RTB,0),"^",3)
+ ;;v 2.0;Record Tracking;**13,15,21**;10/22/91 
+BLD I SDPL S RTINP=+$P(^RTV(195.9,RTB,0),"^",3)
  E  S RTINP=0
  F RTBLD=0:0 S RTBLD=$O(^RTV(195.9,RTB,"RECS",RTBLD)) Q:'RTBLD  S X=$G(^(RTBLD,0)) I X]"" D
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB ; DRIVER FOR COMPILED XREFS FOR FILE #195.9 ; 10/15/04
+RTXB ; DRIVER FOR COMPILED XREFS FOR FILE #195.9 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB1.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB1.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB1.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB1 ; COMPILED XREF FOR FILE #195.9 ; 10/15/04
+RTXB1 ; COMPILED XREF FOR FILE #195.9 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB2.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB2.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB2.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB2 ; COMPILED XREF FOR FILE #195.9001 ; 10/15/04
+RTXB2 ; COMPILED XREF FOR FILE #195.9001 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB3.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB3.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB3.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB3 ; COMPILED XREF FOR FILE #195.9002 ; 10/15/04
+RTXB3 ; COMPILED XREF FOR FILE #195.9002 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB4.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB4.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB4.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB4 ; COMPILED XREF FOR FILE #195.9003 ; 10/15/04
+RTXB4 ; COMPILED XREF FOR FILE #195.9003 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB5.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB5.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB5.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB5 ; COMPILED XREF FOR FILE #195.9 ; 10/15/04
+RTXB5 ; COMPILED XREF FOR FILE #195.9 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB6.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB6.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB6.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB6 ; COMPILED XREF FOR FILE #195.9001 ; 10/15/04
+RTXB6 ; COMPILED XREF FOR FILE #195.9001 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB7.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB7.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB7.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB7 ; COMPILED XREF FOR FILE #195.9002 ; 10/15/04
+RTXB7 ; COMPILED XREF FOR FILE #195.9002 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB8.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXB8.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXB8.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXB8 ; COMPILED XREF FOR FILE #195.9003 ; 10/15/04
+RTXB8 ; COMPILED XREF FOR FILE #195.9003 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXM.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXM.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXM.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXM ; DRIVER FOR COMPILED XREFS FOR FILE #190.3 ; 10/15/04
+RTXM ; DRIVER FOR COMPILED XREFS FOR FILE #190.3 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXM1.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXM1.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXM1.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXM1 ; COMPILED XREF FOR FILE #190.3 ; 10/15/04
+RTXM1 ; COMPILED XREF FOR FILE #190.3 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXM2.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXM2.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXM2.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXM2 ; COMPILED XREF FOR FILE #190.3 ; 10/15/04
+RTXM2 ; COMPILED XREF FOR FILE #190.3 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXP.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXP.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXP.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXP ; DRIVER FOR COMPILED XREFS FOR FILE #194.2 ; 10/15/04
+RTXP ; DRIVER FOR COMPILED XREFS FOR FILE #194.2 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXP1.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXP1.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXP1.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXP1 ; COMPILED XREF FOR FILE #194.2 ; 10/15/04
+RTXP1 ; COMPILED XREF FOR FILE #194.2 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXP2.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXP2.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXP2.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXP2 ; COMPILED XREF FOR FILE #194.2 ; 10/15/04
+RTXP2 ; COMPILED XREF FOR FILE #194.2 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXQ.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXQ.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXQ.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXQ ; DRIVER FOR COMPILED XREFS FOR FILE #190.1 ; 10/15/04
+RTXQ ; DRIVER FOR COMPILED XREFS FOR FILE #190.1 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXQ1.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXQ1.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXQ1.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXQ1 ; COMPILED XREF FOR FILE #190.1 ; 10/15/04
+RTXQ1 ; COMPILED XREF FOR FILE #190.1 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXQ2.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXQ2.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXQ2.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXQ2 ; COMPILED XREF FOR FILE #190.1 ; 10/15/04
+RTXQ2 ; COMPILED XREF FOR FILE #190.1 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXR.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXR.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXR.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXR ; DRIVER FOR COMPILED XREFS FOR FILE #190 ; 10/15/04
+RTXR ; DRIVER FOR COMPILED XREFS FOR FILE #190 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXR1.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXR1.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXR1.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXR1 ; COMPILED XREF FOR FILE #190 ; 10/15/04
+RTXR1 ; COMPILED XREF FOR FILE #190 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXR2.m
===================================================================
--- FOIAVistA/trunk/r/RECORD_TRACKING-RT/RTXR2.m	(revision 631)
+++ FOIAVistA/tag/r/RECORD_TRACKING-RT/RTXR2.m	(revision 636)
@@ -1,3 +1,3 @@
-RTXR2 ; COMPILED XREF FOR FILE #190 ; 10/15/04
+RTXR2 ; COMPILED XREF FOR FILE #190 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DG10.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DG10.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DG10.m	(revision 636)
@@ -1,4 +1,20 @@
-DG10 ;ALB/MRL,DAK,AEG,PHH-LOAD/EDIT PATIENT DATA ; 8/24/05 1:47pm
- ;;5.3;Registration;**32,109,139,149,182,326,513,425,574,642,658**;Aug 13, 1993
+DG10 ;ALB/MRL,DAK,AEG,PHH-LOAD/EDIT PATIENT DATA ; 1/5/2006  21:46
+ ;;5.3;Registration;**32,109,139,149,182,326,513,425,574,642,658,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 START ;
  D LO^DGUTL
@@ -7,5 +23,13 @@
  . D EN^DGRPD
  . Q:$G(DGRPOUT)
- . D REG^IVMCQ($G(DFN))
+ . ;
+ . ; ** start of VOE change 1 of 3: DAOU/WCJ,VA/CJS,WV/TOAD 1/5/2006 **
+ . ;
+ . ; HEC query call only wanted/needed for VA agency code
+ . ;
+ . I $G(DUZ("AG"))="V" D REG^IVMCQ($G(DFN))
+ . ;
+ . ; ** end of VOE change 1 **
+ . ;
  . D HINQ
  ;
@@ -17,5 +41,13 @@
  N X S X="MPIFAPI" X ^%ZOSF("TEST") G:'$T SKIP
  K MPIFRTN
- D MPIQ^MPIFAPI(DFN)
+ ;
+ ; ** start of VOE change 2 of 3: DAOU/WCJ,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; MPI query call only wanted/needed for VA agency code
+ ;
+ I $G(DUZ("AG"))="V"!$$GET^XPAR("SYS","DG MPI") D MPIQ^MPIFAPI(DFN)
+ ;
+ ; ** end of VOE change 2 **
+ ;
  K MPIFRTN
  ;
@@ -27,5 +59,14 @@
 SKIP ;
  S DGELVER=0 D EN^DGRPD I $D(DGRPOUT) K DGRPOUT G A
- D HINQ,REG^IVMCQ($G(DFN)) G A1
+ ;
+ ; ** start of VOE change 3 of 3: DAOU/WCJ,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; these query calls only wanted/needed for VA agency code
+ ;
+ I $G(DUZ("AG"))="V" D HINQ,REG^IVMCQ($G(DFN))
+ G A1
+ ;
+ ; ** end of VOE change 3 **
+ ;
  ;
 HINQ ;
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGCV.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGCV.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGCV.m	(revision 636)
@@ -1,7 +1,7 @@
-DGCV ;ALB/DW,ERC,BRM,TMK - COMBAT VET ELIGIBILTY; 10/15/05 ; 3/24/08 7:28am
- ;;5.3;Registration;**528,576,564,673,778**; Aug 13, 1993;Build 9
+DGCV ;ALB/DW,ERC,BRM,TMK - COMBAT VET ELIGIBILTY; 10/15/05
+ ;;5.3;Registration;**528,576,564,673**; Aug 13, 1993
  ;
 CVELIG(DFN) ;
- ;API will determine whether or not this veteran needs to have CV End
+ ;API will determine whether or not this vetearn needs to have CV End
  ;Date set.  If this determination cannot be done due to imprecise
  ;or missing dates, it returns which dates need editing.
@@ -10,12 +10,12 @@
  ;Output
  ;  RESULT
- ;    0 - CV End Date should not be set
- ;    1 - CV End Date should be set
+ ;    0 - CV End Date should not be updated
+ ;    1 - CV End Date should be updated
  ;  If critical dates are imprecise return the following
- ;    A - CV End Date should not be set, imprecise Service Sep date
- ;    B - CV End Date should not be set, imprecise Combat To date
- ;    C - CV End Date should not be set, imprecise Yugoslavia To date
- ;    D - CV End Date should not be set, imprecise Somalia To date
- ;    E - CV End Date should not be set, imprecise Pers Gulf To date
+ ;    A - CV End Date should not be updated, imprecise Service Sep date
+ ;    B - CV End Date should not be updated, imprecise Combat To date
+ ;    C - CV End Date should not be updated, imprecise Yugoslavia To date
+ ;    D - CV End Date should not be updated, imprecise Somalia To date
+ ;    E - CV End Date should not be updated, imprecise Pers Gulf To date
  ;  If the Service Sep Date is missing, and there are no OEF/OIF/UNKNOWN
  ;    OEF/OIF records on file, return the following so that it  will
@@ -84,57 +84,13 @@
  ;
 SETCV(DFN,DGSRV) ;calculate CV end date
- ;    DGSRV is the most recent of the Service Separation Date 
- ;    or the OEF/OIF To Date, called from file #2 new style 
- ;    cross reference "ACVCOM"
- N DGCVEDT,DGFDA,DGNDAA,DGPLUS3,DGTMPDT,DGYRS
- S DGNDAA=3080128
+ K DGCVEDT
+ N DGFDA
  I $G(DFN)']""!($G(DGSRV)']"") Q
  I '$D(^DPT(DFN)) Q
+ S DGCVEDT=$P($$SCH^XLFDT("24M",DGSRV),".")
+ I DGCVEDT=$G(DGCVDT) Q
  I $$GET1^DIQ(2,DFN_",",.5295,"I") Q
- D CVRULES(DFN,DGSRV,.DGYRS)
- Q:$G(DGYRS)'=3&($G(DGYRS)'=5)
- ;NDAA legislation, enacted 1/28/08, gives vets discharged
- ;on or after 1/28/03 (2 years previously) CV Eligibility 
- ;for 5 years.  Vets discharged before 1/28/03 get eligibility 
- ;for 3 years after enactment (or until 1/27/2011) DG*5.3*778
- S DGTMPDT=$S(DGYRS=3:DGNDAA,1:DGSRV)
- S DGCVEDT=($E(DGTMPDT,1,3)+DGYRS)_$E(DGTMPDT,4,7)
- S DGCVEDT=$$FMADD^XLFDT(DGCVEDT,-1)
  S DGFDA(2,DFN_",",.5295)=DGCVEDT
  D FILE^DIE(,"DGFDA")
- Q
- ;
-CVRULES(DFN,DGSRV,DGYRS) ;apply rules for the CV End Date
- ;extension project - DG*5.3*778
- ;DGSRV - most recent of Service Sep Date or OEIUUF to date
- ;   DGYRS = 3 years from NDAA or 1/27/2011
- ;         = 5 years from SSD or Enrollment App Date
- ;determine how many years extra CV eligibility to give
- N DGCIEN,DGCUTOFF,DGENRDT,DGPIEN,DGPRI,DGQT,DGSTAT
- ;determine if veteran has an enrollment record prior
- ;to 1/28/2008 (the NDAA date) and no CV End Date for
- ;this enrollment
- S DGYRS=5
- S (DGPRI,DGQT)=0
- S DGCUTOFF=3030128
- S DGCIEN=$$FINDCUR^DGENA(DFN)
- I $G(DGCIEN),($D(^DGEN(27.11,DGCIEN,0)))]"" D
- . S DGENRDT=$$GET1^DIQ(27.11,DGCIEN_",",75.01,"I") Q:$G(DGENRDT)']""
- . I $P(DGENRDT,".",1)<DGNDAA S DGPRI=1 Q
- . I DGENRDT'<DGNDAA D
- . . S DGPIEN=DGCIEN
- . . F  S DGPIEN=$$FINDPRI^DGENA(DGPIEN) Q:'DGPIEN  D  Q:DGQT
- . . . S DGENRDT=$$GET1^DIQ(27.11,DGPIEN_",",75.01,"I")
- . . . Q:$G(DGENRDT)']""
- . . . I $P(DGENRDT,".",1)<DGNDAA S (DGPRI,DGQT)=1
- ;if DGPRI=1, then there is an enrollment prior to 1/28/08
- I DGPRI=1 D  Q
- . I $G(DGCIEN)]"" S DGSTAT=$$GET1^DIQ(27.11,DGCIEN_",",.04,"E")
- . I $G(DGSTAT)["INITIAL APPLICATION BY VAMC"!($G(DGSTAT)["BELOW ENROLLMENT GROUP THRESHOLD") D
- . . I DGSRV<DGCUTOFF S DGYRS=3
- ;
- ;if no enrollment prior to 1/28/08 (DGPRI=0) check service date
- ;against cutoff date - 1/28/03
- I DGSRV<DGCUTOFF S DGYRS=3
  Q
  ;
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGDEATH.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGDEATH.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGDEATH.m	(revision 636)
@@ -1,4 +1,4 @@
 DGDEATH ;ALB/MRL/PJR-PROCESS DECEASED PATIENTS ; 10/27/04 9:45pm
- ;;5.3;Registration;**45,84,101,149,392,545,595,568,563,725,772**;Aug 13, 1993;Build 4
+ ;;5.3;Registration;**45,84,101,149,392,545,595,568,563,725**;Aug 13, 1993;Build 12
  ;
 GET N DGMTI,DATA
@@ -14,5 +14,5 @@
  I $P(DGDNEW,"^",1)="",$P(DGDNEW,"^",2)'="" S DR=".352////@" D ^DIE
  I $P(DGDNEW,"^",1)="" K ^TMP("DEATH",$J) G GET
-SN I $P(DGDNEW,"^",1)'="" S DR=".353" D ^DIE I $P($G(^DPT(DFN,.35)),"^",3)']"" D SNDISP G SN
+ I $P(DGDNEW,"^",1)'="" S DR=".353" D ^DIE
  I DGDOLD'=DGDNEW D DISCHRGE
  I $P(DGDOLD,"^",1)'=$P(DGDNEW,"^",1) D XFR
@@ -143,15 +143,2 @@
  I YES,'((TYPE=27)!(TYPE=32)) S DGDONOT=1
  Q
-SNDISP ; Source of Notification display choices
- N DIR,DTOUT,DUOUT,DIRUT,DIROUT,DGLIST,DGLNAME,I,X,Y
- S DGLIST=$P($G(^DD(2,.353,0)),"^",3)
- S Y=6
- S DIR("?",1)=" "
- S DIR("?",2)=" This is a required response. Please select from the following:"
- S DIR("?",3)=" Entering '^' will take you back to the Source of Notification prompt"
- S DIR("?",4)=" "
- S DIR("?",5)=" "
- F X=1:1 S DGLNAME=$P(DGLIST,";",X) Q:DGLNAME']""  S DIR("?",Y)="      "_$P(DGLNAME,":",1)_"      "_$P(DGLNAME,":",2) S Y=Y+1
- S DIR("?",Y)=" "
- F I=1:1 Q:'$D(DIR("?",I))  W !,DIR("?",I)
- Q
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMSTAPI.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMSTAPI.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMSTAPI.m	(revision 636)
@@ -1,4 +1,23 @@
-DGMSTAPI ;ALB/SCK - API's for Military Sexual Trauma ; 2/28/02 4:56pm
- ;;5.3;Registration;**195,243,308,353,379,443,700**;Aug 13, 1993
+DGMSTAPI ;ALB/SCK - API's for Military Sexual Trauma ;7:34 PM  30 Jan 2008
+ ;;5.3;Registration;**195,243,308,353,379,443,700,VWEHR1**;WorldVistA 30-Jan-08
+ ;
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+ ;
  Q
  ;
@@ -43,5 +62,11 @@
  . S DGMST="0^U"
  S DGIEN=""
- S DGIEN=+$P($Q(^DGMS(29.11,"APDT",DFN,DGDATE,DGIEN),-1),",",5)
+ ;
+ ;WV/EHR REVERSE $Q REPLACEMENT; SO 01/12/08 ;VWEHR1
+ ;
+ ;S DGIEN=+$P($Q(^DGMS(29.11,"APDT",DFN,DGDATE,DGIEN),-1),",",5)
+ S DGIEN=+$P($$Q^VWUTIL($NA(^DGMS(29.11,"APDT",DFN,DGDATE,DGIEN)),-1),",",5)
+ ;
+ ;END CHANGE
  ;
  ; Check for valid ien, if entry missing, return Unknown
@@ -130,7 +155,7 @@
 NEWQ Q $G(DGRSLT)
  ;
-DELMST(MSTIEN) ; Deletes the MST HISTORY File (#29.11) entry passed in.  
+DELMST(MSTIEN) ; Deletes the MST HISTORY File (#29.11) entry passed in.
  ; This call is not to be used except from inside the DG MST List
- ; Manager interface.  
+ ; Manager interface.
  ;
  ; Input
@@ -199,5 +224,5 @@
  ;
 DATE(DFN,DGDT) ;Determine 'current' MST date
- ; 
+ ;
  ;  Input
  ;    DFN  - Patient's DFN
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTCOU1.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTCOU1.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTCOU1.m	(revision 636)
@@ -1,4 +1,20 @@
-DGMTCOU1 ;ALB/REW,LD,JAN,AEG,LBD - COPAY UTILITIES ; 8/13/04 8:31am
- ;;5.3;Registration;**33,45,54,335,358,401,436,445,564**;Aug 13, 1993
+DGMTCOU1 ;ALB/REW,LD,JAN,AEG,LBD - COPAY UTILITIES ;11/5/06  20:29
+ ;;5.3;Registration;**33,45,54,335,358,401,436,445,564,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 AUTO(DFN,AUTOEX) ;
  ; Returns 1 if Exempt from CP w/o needing MT/CP information
@@ -69,4 +85,8 @@
 THRESHQT Q
 DISPMAS(DFN) ; Displays Co
+ ;New EHR code    ;DAOU/JLG 2/4/05
+ ;not relevant to Agency EHR
+ Q:$G(DUZ("AG"))="E"
+ ;End EHR modifications
  N DGCPS,DGEX,Y,AUTOEX
  S DGEX=$$AUTO(DFN,.AUTOEX)
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD.m	(revision 636)
@@ -1,3 +1,3 @@
-DGMTXD ; GENERATED FROM 'DGMT ENTER/EDIT DEPENDENTS' INPUT TEMPLATE(#468), FILE 408.22;08/13/05
+DGMTXD ; GENERATED FROM 'DGMT ENTER/EDIT DEPENDENTS' INPUT TEMPLATE(#468), FILE 408.22;12/18/05
  D DE G BEGIN
 DE S DIE="^DGMT(408.22,",DIC=DIE,DP=408.22,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DGMT(408.22,DA,""))=""
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD1.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD1.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD1.m	(revision 636)
@@ -1,3 +1,3 @@
-DGMTXD1 ; ;08/13/05
+DGMTXD1 ; ;12/18/05
  S X=DE(25),DIC=DIE
  K DIV S DIV=X,D0=DA,DIV(0)=D0 S Y(0)=X X ^DD(408.22,.11,1,1,79.2) S X=X="" I X S X=DIV S Y(1)=$S($D(^DGMT(408.22,D0,0)):^(0),1:"") S X=$P(Y(1),U,12),X=X S DIU=X K Y S X="" X ^DD(408.22,.11,1,1,2.4)
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD2.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD2.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD2.m	(revision 636)
@@ -1,3 +1,3 @@
-DGMTXD2 ; ;08/13/05
+DGMTXD2 ; ;12/18/05
  S X=DG(DQ),DIC=DIE
  X ^DD(408.22,.11,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DGMT(408.22,D0,0)):^(0),1:"") S X=$P(Y(1),U,12),X=X S DIU=X K Y S X="" X ^DD(408.22,.11,1,1,1.4)
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD3.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD3.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD3.m	(revision 636)
@@ -1,3 +1,3 @@
-DGMTXD3 ; ;08/13/05
+DGMTXD3 ; ;12/18/05
  S X=DE(27),DIC=DIE
  I $D(^DGMT(408.22,DA,0)),$P(^(0),U,12)="",$P(^(0),U,11) D INC^DGMTDD2
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD4.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD4.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXD4.m	(revision 636)
@@ -1,3 +1,3 @@
-DGMTXD4 ; ;08/13/05
+DGMTXD4 ; ;12/18/05
  S X=DG(DQ),DIC=DIE
  I $D(^DGMT(408.22,DA,0)),$P(^(0),U,12)=0,$P(^(0),U,11) D INC^DGMTDD2
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXE.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXE.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGMTXE.m	(revision 636)
@@ -1,3 +1,3 @@
-DGMTXE ; GENERATED FROM 'DGMT ENTER/EDIT EXPENSES' INPUT TEMPLATE(#474), FILE 408.21;08/13/05
+DGMTXE ; GENERATED FROM 'DGMT ENTER/EDIT EXPENSES' INPUT TEMPLATE(#474), FILE 408.21;12/18/05
  D DE G BEGIN
 DE S DIE="^DGMT(408.21,",DIC=DIE,DP=408.21,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DGMT(408.21,DA,""))=""
